# coding: utf-8
import sys
import logging

from tionix_vdi_client import TRACEBACK_ENABLED
from tionix_vdi_client.settings import CONF

logger = logging.getLogger(__name__)


if sys.platform != 'win32' and CONF.use_smartcard:
    try:
        from tionix_vdi_client.smart_card import api
    except ImportError as err:
        logger.error(
            "Failed to import tionix_vdi_client.smart_card.api: %s", err,
            exc_info=TRACEBACK_ENABLED)
        api = None
else:
    api = None
