# coding: utf-8

import unittest
from os import path

from tionix_vdi_client.i18n import APP_NAME, LOCALE_DIR, ugettext as _


class LocalizationFilesTests(unittest.TestCase):

    def test_locale_files_are_in_place(self):
        """Checks whether localization files exists.

        :lang:ru Проверяет наличие файлов локализации.
        """
        locale_file_path = path.join(LOCALE_DIR,
                                     'ru_RU/LC_MESSAGES/%s.mo' % APP_NAME)
        self.assertTrue(path.exists(locale_file_path),
                        _("Localization file is missing. It should be "
                          "located at {0}.").format(locale_file_path))
