# coding: utf-8

"""
test runner
"""
import locale
import os
import sys
import unittest

from tionix_vdi_client.i18n import switch_language

start_dir = os.path.dirname(__file__)

# TIONIX modules use 'LANG' variable to set translation language, so set
# LC_ALL equal to LANG to prevent language overriding

if 'LANG' in os.environ:
    os.environ['LC_ALL'] = os.environ['LANG']

language, _encoding = locale.getdefaultlocale()
ENV_LANGUAGE_CODE = language or 'en_US.UTF-8'


def run_tests():
    suite = unittest.TestLoader().discover(
        start_dir=start_dir, pattern='test_*.py')
    runner = unittest.TextTestRunner(verbosity=2).run(suite)
    return int(not runner.wasSuccessful())


if __name__ == '__main__':
    switch_language(ENV_LANGUAGE_CODE)
    sys.exit(run_tests())
